Skip to content

Refund a transaction

Request

Creates a refund for a transaction. Partial refunds are not allowed. The amount must equal the original transaction amount received.

Security
bearerAuth
Path
clientIdstring, (uuid)required

Client UUID (must match the client_id embedded in the Authorization token).

transactionIdstring, (uuid)required

Transaction UUID to be refunded.

Bodyapplication/jsonrequired
amountstring

Refund amount (full refund only) — must be exactly equal to the original transaction amount received. Use two decimal places.

Example:"10.00"
descriptionstring

Text with the refund reason

Example:"Invalid amount"
POST
/v1/clients/{clientId}/transactions/{transactionId}/refund
curl -i -X POST \
  'https://apicore.stg.finch.lat/v1/clients/{clientId}/transactions/{transactionId}/refund' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "amount": "5.00",
    "description": "Invalid Amount"
  }'

Responses

Refund successfully created

Bodyapplication/json
idstring, (uuid)
Example:"957459ce-d4e3-40b5-b759-373e844ba1e8"
bankIdstring, (uuid)
Example:"9d84b03a-28d1-4898-a69c-38824239e2b1"
clientIdstring, (uuid)
Example:"c2d1d1e3-3340-4170-980e-e9269bbbc551"
externalReferencestring
Example:"2505091"
trackingIdstring
Example:"20250510FINCHFL2SFGP9KT"
descriptionstring
Example:"lorem ipsum dolor sit amet"
amountstring, (decimal)
Example:"100.00"
currencystring
Example:"MXN"
categorystring
Example:"DEBIT_TRANS"
subCategorystring
Example:"SPEI_DEBIT"
transactionStatusstring
Example:"INITIALIZED"
auditobject
Response
{ "id": "957459ce-d4e3-40b5-b759-373e844ba1e8", "bankId": "9d84b03a-28d1-4898-a69c-38824239e2b1", "clientId": "c2d1d1e3-3340-4170-980e-e9269bbbc551", "externalReference": "2505091", "trackingId": "20250510FINCHFL2SFGP9KT", "description": "lorem ipsum dolor sit amet", "amount": "100.00", "currency": "MXN", "category": "DEBIT_TRANS", "subCategory": "SPEI_DEBIT", "transactionStatus": "INITIALIZED", "audit": { "createdAt": "2025-05-09 18:02:31.979746-06:00", "updatedAt": "2025-05-09 18:02:31.979746-06:00", "deletedAt": null, "blockedAt": null } }